<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <title>Home</title>
    <link rel="stylesheet" href="/vendors/bootstrap/bootstrap.min.css">
    <link rel="stylesheet" href="vendors/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="vendors/themify-icons/themify-icons.css">
    <link rel="stylesheet" href="vendors/linericon/style.css">
    <link rel="stylesheet" href="vendors/owl-carousel/owl.theme.default.min.css">
    <link rel="stylesheet" href="vendors/owl-carousel/owl.carousel.min.css">
    <link rel="stylesheet" href="vendors/nice-select/nice-select.css">
    <link rel="stylesheet" href="vendors/nouislider/nouislider.min.css">

    <link rel="stylesheet" href="css/style.css">
</head>
<body>
<div th:insert="fragments/header :: header"></div>
<!-- ================ trending product section start ================= -->
<section class="section-margin calc-60px">
    <div class="container">
        <div class="section-intro pb-60px">
            <!-- >/<p>Popular Item in the market</p> -->
            <h2> OUR <span class="section-intro__style">COLLECTION</span></h2>
        </div>
        <div class="row">
            <div class="col-md-6 col-lg-4 col-xl-3" th:each="productDto:${productDtoList}">
                <div class="card text-center card-product">
                    <div class="card-product__img">
                        <img class="card-img" th:src="${'data:image/png;base64,'+ productDto.image}" alt="">
                        <ul class="card-product__imgOverlay">
                            <li><button><i class="ti-search"></i></button></li>
                            <li><button><i class="ti-shopping-cart"></i></button></li>
                            <li><button><i class="ti-heart"></i></button></li>
                        </ul>
                    </div>
                    <div class="card-body">
                        <p th:text="${productDto.category}"></p>
                        <h4 class="card-product__title"><a th:href="@{/product/{id}(id=${productDto.productId})}" th:text="${productDto.name}"></a></h4>
                        <p class="card-product__price" th:text="${productDto.price} + ' RON'"></p>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>
<!-- ================ trending product section end ================= -->
</body>
</html>